Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Interface PersistenceCapable

All Known Implementing Classes:
  ReflectingPersistenceCapable

    public interface PersistenceCapable

The interface that persistent instances will implement.

Author:
  Marc Prud'hommeaux

Field Summary
`static byte` | `CHECK_READ`
`static byte` | `CHECK_WRITE`
`static Object` | `DESERIALIZED`
`static byte` | `LOAD_REQUIRED`
`static byte` | `MEDIATE_READ`
`static byte` | `MEDIATE_WRITE`
`static byte` | `READ_OK`
`static byte` | `READ_WRITE_OK`
`static byte` | `SERIALIZABLE`

Method Summary
`void` | `pcCopyFields(Object fromObject, int[] fields)`
`void` | `pcCopyKeyFieldsFromObjectId(FieldConsumer consumer, Object obj)`
`void` | `pcCopyKeyFieldsToObjectId(FieldSupplier supplier, Object obj)`
`void` | `pcCopyKeyFieldsToObjectId(Object obj)`
`void` | `pcDirty(String fieldName)`
`Object` | `pcFetchObjectId()`
`Object` | `pcGetDetachedState()`
`int` | `pcGetEnhancementContractVersion()`
`Object` | `pcGetGenericContext()`
`StateManager` | `pcGetStateManager()`
`Object` | `pcGetVersion()`
`boolean` | `pcIsDeleted()`
`Boolean` | `pcIsDetached()`
`boolean` | `pcIsDirty()`
`boolean` | `pcIsNew()`
`boolean` | `pcIsPersistent()`
`boolean` | `pcIsTransactional()`
`PersistenceCapable` | `pcNewInstance(StateManager sm, boolean clear)`
`PersistenceCapable` | `pcNewInstance(StateManager sm, Object obj, boolean clear)`
`Object` | `pcNewObjectIdInstance()`
`Object` | `pcNewObjectIdInstance(Object obj)`
`void` | `pcProvideField(int fieldIndex)`
`void` | `pcProvideFields(int[] fieldIndices)`
`void` | `pcReplaceField(int fieldIndex)`
`void` | `pcReplaceFields(int[] fieldIndex)`
`void` | `pcReplaceStateManager(StateManager sm)`
`void` | `pcSetDetachedState(Object state)`

Field Detail

### READ_WRITE_OK

    static final byte READ_WRITE_OK

See Also:
  Constant Field Values

### LOAD_REQUIRED

    static final byte LOAD_REQUIRED

See Also:
  Constant Field Values

### READ_OK

    static final byte READ_OK

See Also:
  Constant Field Values

### CHECK_READ

    static final byte CHECK_READ

See Also:
  Constant Field Values

### MEDIATE_READ

    static final byte MEDIATE_READ

See Also:
  Constant Field Values

### CHECK_WRITE

    static final byte CHECK_WRITE

See Also:
  Constant Field Values

### MEDIATE_WRITE

    static final byte MEDIATE_WRITE

See Also:
  Constant Field Values

### SERIALIZABLE

    static final byte SERIALIZABLE

See Also:
  Constant Field Values

### DESERIALIZED

    static final Object DESERIALIZED

Method Detail

### pcGetEnhancementContractVersion

    int pcGetEnhancementContractVersion()

### pcGetGenericContext

    Object pcGetGenericContext()

### pcGetStateManager

    StateManager pcGetStateManager()

### pcReplaceStateManager

    void pcReplaceStateManager(StateManager sm)

### pcProvideField

    void pcProvideField(int fieldIndex)

### pcProvideFields

    void pcProvideFields(int[] fieldIndices)

### pcReplaceField

    void pcReplaceField(int fieldIndex)

### pcReplaceFields

    void pcReplaceFields(int[] fieldIndex)

### pcCopyFields

    void pcCopyFields(Object fromObject,
                      int[] fields)

### pcDirty

    void pcDirty(String fieldName)

### pcFetchObjectId

    Object pcFetchObjectId()

### pcGetVersion

    Object pcGetVersion()

### pcIsDirty

    boolean pcIsDirty()

### pcIsTransactional

    boolean pcIsTransactional()

### pcIsPersistent

    boolean pcIsPersistent()

### pcIsNew

    boolean pcIsNew()

### pcIsDeleted

    boolean pcIsDeleted()

### pcIsDetached

    Boolean pcIsDetached()

### pcNewInstance

    PersistenceCapable pcNewInstance(StateManager sm,
                                     boolean clear)

### pcNewInstance

    PersistenceCapable pcNewInstance(StateManager sm,
                                     Object obj,
                                     boolean clear)

### pcNewObjectIdInstance

    Object pcNewObjectIdInstance()

### pcNewObjectIdInstance

    Object pcNewObjectIdInstance(Object obj)

### pcCopyKeyFieldsToObjectId

    void pcCopyKeyFieldsToObjectId(Object obj)

### pcCopyKeyFieldsToObjectId

    void pcCopyKeyFieldsToObjectId(FieldSupplier supplier,
                                   Object obj)

### pcCopyKeyFieldsFromObjectId

    void pcCopyKeyFieldsFromObjectId(FieldConsumer consumer,
                                     Object obj)

### pcGetDetachedState

    Object pcGetDetachedState()

### pcSetDetachedState

    void pcSetDetachedState(Object state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.